Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Subscriptions

Unsubscribe Contact Subscription

POST
/v1/contacts/{contact_id}/subscriptions/{opt_in_group_id}/{channel_type}/unsubscribe

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

contact_id*string
Formatuuid
opt_in_group_id*string
Formatuuid
channel_type*"email" | "facebook" | "google_business_messaging" | "instagram" | "postal" | "sms" | "whatsapp"
Value in"email" | "facebook" | "google_business_messaging" | "instagram" | "postal" | "sms" | "whatsapp"

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/email/unsubscribe"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "opt_in_group_id": "4b357ede-6cef-46e7-8acc-09c4cf4c759a",  "organisation_id": "9ec26450-a51e-40b1-a49f-e04045480fd5",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "key": "string",  "status": "requested",  "channel_type": "email"}